> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Redirect

> The "Create Redirect" API Allows adding a new url redirect to the system. Use this endpoint to create a url redirect with the specified details. Ensure that the required information is provided in the request payload.



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/lookup/redirect
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/lookup/redirect:
    post:
      summary: Create Redirect
      description: >-
        The "Create Redirect" API Allows adding a new url redirect to the
        system. Use this endpoint to create a url redirect with the specified
        details. Ensure that the required information is provided in the request
        payload.
      operationId: create-redirect
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRedirectParams'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRedirectResponseDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - funnels/redirect.write
components:
  schemas:
    CreateRedirectParams:
      type: object
      properties:
        locationId:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
        domain:
          type: string
          example: example.com
        path:
          type: string
          example: /Hello
        target:
          type: string
          example: https://www.google.com
        action:
          type: string
          example: URL
          enum:
            - funnel
            - website
            - webinar
            - url
            - all
      required:
        - locationId
        - domain
        - path
        - target
        - action
    CreateRedirectResponseDTO:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RedirectResponseDTO'
      required:
        - data
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    RedirectResponseDTO:
      type: object
      properties:
        id:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
          description: Unique identifier of the redirect
        locationId:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
          description: Identifier of the location associated with the redirect
        domain:
          type: string
          example: www.example.com
          description: Domain where the redirect occurs
        path:
          type: string
          example: /old-path
          description: Original path that will be redirected
        pathLowercase:
          type: string
          example: /old-path
          description: Lowercase version of the original path
        type:
          type: string
          example: Permanent
          description: Type of redirect (e.g., Permanent, Temporary)
        target:
          type: string
          example: https://www.example.com/new-path
          description: Target URL to which the original path will be redirected
        action:
          type: string
          example: url
          description: Action performed by the redirect
      required:
        - id
        - locationId
        - domain
        - path
        - pathLowercase
        - type
        - target
        - action

````